...
1#!/usr/bin/env bash
2
3# Copyright 2017 The Kubernetes Authors.
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16
17set -o errexit
18set -o nounset
19set -o pipefail
20
21SCRIPT_ROOT="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd -P)"
22DIFFROOT="${SCRIPT_ROOT}/pkg"
23TMP_DIFFROOT="$(mktemp -d -t "$(basename "$0").XXXXXX")/pkg"
24
25cleanup() {
26 rm -rf "${TMP_DIFFROOT}"
27}
28trap "cleanup" EXIT SIGINT
29
30cleanup
31
32mkdir -p "${TMP_DIFFROOT}"
33cp -a "${DIFFROOT}"/* "${TMP_DIFFROOT}"
34
35"${SCRIPT_ROOT}/hack/update-codegen.sh"
36echo "diffing ${DIFFROOT} against freshly generated codegen"
37ret=0
38diff -Naupr "${DIFFROOT}" "${TMP_DIFFROOT}" || ret=$?
39if [[ $ret -eq 0 ]]; then
40 echo "${DIFFROOT} up to date."
41else
42 echo "${DIFFROOT} is out of date. Please run hack/update-codegen.sh"
43 exit 1
44fi
View as plain text